﻿@model eCommerce.Services.Model.Brand
@{
    ViewBag.Title = "Marcas";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Marcas</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("BrandUpdate", "Brands", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Name" value="@Model.Name" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Mostrar en el Sitio</label>
                            <div class="col-sm-1">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" id="ShowInSite" name="ShowInSite" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.ShowInSite ? "checked" : "") />
                                </div>
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Brands'">Cancelar</button>
                            @Html.HiddenFor(model => model.BrandId)
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    }
                }
            });
        })();

    </script>
}

